Page MenuHomePhabricator

Change the icon for Save for later articles in Suggestion list
Closed, ResolvedPublic

Description

At the moment, you can mark an article for later work in Suggestion. This uses a white star, and feedback from some users indicate that it may become confused with the watchlist concept.

This ticket proposes to replace the star with the bookmark icon instead. The bookmark icon is used in other places like New filters for edit review or to keep Wikipedia articles in lists on Wikipedia mobile apps.

Star (current)Bookmark (proposed)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2017, 7:06 AM
santhosh triaged this task as Low priority.Oct 27 2017, 5:47 AM
santhosh moved this task from Needs Triage to Bugs on the ContentTranslation board.

On the one hand, I think it is ok to apply a concept to different types of content. In the same way that the "X" can be used to close a dialog, close a panel, discard a suggestion, etc. So I think that we should not restrict the star to be only for watchlisted pages.
On the other hand, it is true that the star may imply that users will get updates about what they are starring, and the bookmark can align better.

I think we need to clarify which are the implications of each metaphors we are using to "keep" content, and make the different instances consistent.

Pginer-WMF updated the task description. (Show Details)Nov 27 2017, 1:13 PM
Pginer-WMF updated the task description. (Show Details)Nov 27 2017, 1:15 PM
Arrbee moved this task from Bugs to Enhancements on the ContentTranslation board.Jun 26 2018, 7:28 PM
Pginer-WMF updated the task description. (Show Details)

Change 526201 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Change the icons for "Save for later" articles in Suggestion list

https://gerrit.wikimedia.org/r/526201

Change 526201 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Change the icons for "Save for later" articles in Suggestion list

https://gerrit.wikimedia.org/r/526201

Jpita closed this task as Resolved.Aug 8 2019, 9:59 PM